# Radio Menthe à l'eau

![Screenshot de la radio Menthe à l'eau](./assets/screenshot_website.png)

Cette webradio accessible ici [https://menthe.shenanigans.cc](https://menthe.shenanigans.cc) diffuse en continu la playlist [Menthe à l'eau](https://www.youtube.com/playlist?list=PLiMXFqXq5gIo7hLOtbgOiQPAVTk2kSjCE).

# Installation

## Docker

Vous pouvez utiliser l'image docker que je viens mettre à jour à la main :
```
git.shenanigans.cc/globuzma/mentalaradio:latest
```

## Compilation

Si vous voulez l'installer en compilant vous même les sources, voic les étapes à suivre.


Il faut d'abord compiler l'UI.

```
npm install 
npm run build
```

Ensuite vous pouvez compiler le serveur.

```
go build server.go 
```

Lorsque vous lancerez le serveur avec `./server` le programme viendra chercher tous les mp3 à la racine du dossier **music** et l'UI compilée devra être dans le dossier **dist**. Vous pouvez simplement copier le dossier dist produit par `npm run build` au même endroit que l'executable `server`.

# Crédits

Le compteur de personnes connectées utilise un artwork de Keith Haring.
La police d'écriture utilisée pour le titre est [Momentz](https://www.dafont.com/momentz.font) de [Khurasan Studio](https://khurasanstudio.com/).
